Subject: Re: [Pce] Review of draft-dw-pce-service-segment-routing

From: Qin Wu <[email-masked]>
Date: Mon, 16 Mar 2015 05:51:56 +0000

Hi,Francesco:
Thank for help review draft-dw-pce-service-segment-routing.
Please see the reply inline below. 
FYI, we have posted our reply on the WG list. Hope you can understand.

-Qin
-----邮件原件-----
发件人: [email-masked] [mailto:[email-masked]] 代表 Dhruv Dhody
发送时间: 2015年3月12日 23:48
收件人: Francesco Fondelli
抄送: Qin Wu; Dhruv Dhody
主题: Re: [Pce]

Hi Francesco,

Good to hear from you!

On Wed, Mar 11, 2015 at 9:52 PM, Francesco Fondelli <[email-masked]> wrote:
> ah BTW I am reading draft-dw-pce-service-segment-routing-01, I have a 
> comment.
>
>  "Thus Service-SID MUST be associated with a node-SID preceding it in
>   the SR-ERO."
>
>
> Is there any way to advertise a global service-sid? Like an adj-sid 
> with global scope (L-flag not set) in order to reduce label stack size 
> (at the cost of additional state in the forwarding table of all 
> routers in the area).

This is an excellent point, i guess the right place for this would be OSPF/ISIS SR drafts and corresponding update in PCE.
Qin, what do you think?

[Qin]: It is up to the means by which the PCE learns about the Service-SID
if Service-SID is local to LSR node where the service reside, binding between Service-SID and LSR node can be established using manage plane mechanism. Service-SID can be easily integrated into PCE server through management plane interface or other control plane means. Advertisement mechanism using IGP is not really required in this case.
To support global service-sid, the problem we have is there is no service segment SID in OSPF/ISIS SR WG draft so far, we need to get that there first.

>
> To be honest I do not see much info about service segment in
> draft-ietf-spring-segment-routing-01 guess I am missing something...

As Qin pointed out, we believe the right place is to have this extension in the WG draft itself in http://www.ietf.org/mail-archive/web/pce/current/msg04153.html ; Could you reply in WG list, with your opinion?

[Qin]: Agree with the Dhruv, the right discussion reference is:
http://www.ietf.org/mail-archive/web/pce/current/msg04152.html

Thanks!

Dhruv

> thank you
> ciao